Loading...
Searching...
No Matches
opendocument.py File Reference

Go to the source code of this file.

## Classes

class | odf.opendocument.OpaqueObject
| just a record to bear a filename, a mediatype and a bytes content More...
class | odf.opendocument.OpenDocument

## Namespaces

namespace | odf
namespace | odf.opendocument

## Functions

| odf.opendocument.OpenDocumentChart ()
| Creates a chart document.
| odf.opendocument.OpenDocumentDrawing ()
| Creates a drawing document.
| odf.opendocument.OpenDocumentImage ()
| Creates an image document.
| odf.opendocument.OpenDocumentPresentation ()
| Creates a presentation document.
| odf.opendocument.OpenDocumentSpreadsheet ()
| Creates a spreadsheet document.
| odf.opendocument.OpenDocumentText ()
| Creates a text document.
| odf.opendocument.OpenDocumentTextMaster ()
| Creates a text master document.
| odf.opendocument.load (odffile)
| Load an ODF file into memory.

## Variables

| odf.opendocument.unicode = str
str | odf.opendocument._XMLPROLOGUE
int | odf.opendocument.UNIXPERMS = 2175008768
| file permission as an integer value.
int | odf.opendocument.IS_FILENAME = 0
int | odf.opendocument.IS_IMAGE = 1
dict | odf.opendocument.odmimetypes
| mime-types => file extensions